<template>
  <v-container>
    <v-dialog v-model="dialog" persistent max-width="50%">
      <v-card>
        <v-card-title>
          <span v-text="title" />
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-row>
              <v-col cols="6">
                <v-text-field label="NEW VALUE" disabled />
              </v-col>
              <v-col cols="6">
                <v-text-field label="OLD VALUE" disabled />
              </v-col>
            </v-row>
            <v-row v-for="log_data_detail in log_data_details" :key="log_data_detail.id">
              <v-col cols="6">
                <v-text-field :label="log_data_detail.colname.toUpperCase()" :value="log_data_detail.new_value ? log_data_detail.new_value : `-`"  readonly />
              </v-col>
              <v-col cols="6">
                <v-text-field :value="log_data_detail.old_value ? log_data_detail.old_value : `-`"  readonly />
              </v-col>
            </v-row>
          </v-container>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue darken-1" text @click="doClose">Close</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
export default {
  name: "LogDataDetail",
  data: function () {
    return {
      title: null,
      dialog: false,
      log_data_details: []
    }
  },
  methods: {
    doClose() {
      this.dialog = false
    },
    doShow(logs_detail, title) {
      this.title = title
      this.dialog = true
      this.log_data_details = logs_detail
      console.log(this.log_data_details)
    },
  }
}
</script>

<style scoped>

</style>